camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Charles Moulliard <cmoulli...@gmail.com>
Subject Re: Have anybody here tried the tutorial-osgi-camel-part2?
Date Fri, 10 Jul 2009 13:59:44 GMT
Hi Kevin,

I have done a full installation and everything works fine. I have done some
modifications (see remarks here after)

1) I have slightly modified the pom files to facilitate the maven build.
Please have a look on the web site - wiki page of my tutorial
2) The features to be installed have been modified for Camel 2.0-M1 -->
2.0-M2 and Spring OSGI because the release used by SMX4 1.1. is 1.2.0-m2
3) Startup.property file must be modified to use the cglib version 2.1_3_2:
org/apache/servicemix/bundles/org.apache.servicemix.bundles.cglib/2.1_3_2-SNAPSHOT/org.apache.servicemix.bundles.cglib-2.1_3_2-SNAPSHOT.jar=30
YOU HAVE ALSO TO COPY THE JAR INTO system folder

Otherwise, I can zip the server and send it to you configured. I know this
is difficult to install all the stuffs the first time and particularly in
the current context because the project Apache ServiceMix kernel has moved
to Apache Felix Karaf and no official build is available for the moment. You
have to build it.

Regards,

Regards,

Charles Moulliard
Senior Enterprise Architect
Apache Camel Committer

*****************************
blog : http://cmoulliard.blogspot.com


On Thu, Jul 9, 2009 at 9:07 AM, Kevin.Zhang <zhangyongjiang@yahoo.com>wrote:

>
> Still cannot make it work. I might have to give up. If anybody can make it
> work, please let me know.
>
> Charles, thank you so much for your help. If you have time, I would suggest
> you to retest it on a clean machine which has no mvn, servicemix and other
> modules installed. This tutorial is a great tutorial and I wish people
> could
> be benefited from it.
>
> -Kevin
>
>
> cmoulliard wrote:
> >
> > Error appears in your copy/paste
> >
> > mvn:org.antlr/com.springsource.antlr/2.7
> > .7
> >
> > You can't install a required bundle of Hibernate wich is antlr.
> >
> > I work on Windows XP
> >
> > Charles Moulliard
> > Senior Enterprise Architect
> > Apache Camel Committer
> >
> > *****************************
> > blog : http://cmoulliard.blogspot.com
> >
> >
> > On Wed, Jul 8, 2009 at 5:47 PM, Kevin.Zhang
> > <zhangyongjiang@yahoo.com>wrote:
> >
> >>
> >> Hi Charles,
> >>
> >> I installed
> >>
> >>
> mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.dom4j/1.6_2-SNAPSHOT.
> >> After that I restarted servicemix. But I still have the same problem.
> >>
> >> Command osgi/list can show the new installed dom4j.
> >>
> >>    [ 119] [Active     ] [       ] [   60] Apache ServiceMix Bundles:
> >> dom4j-1.6 (1.6.0.SNAPSHOT)
> >>
> >> The features list command shows:
> >>
> >>    [uninstalled]  [      0.0.0] hibernate
> >>    [uninstalled]  [      0.0.0] camel-velocity
> >>    [installed  ]  [      0.0.0] web-core
> >>    [installed  ]  [               2.2] cxf
> >>    [installed  ]  [      0.0.0] common
> >>    [installed  ]  [      0.0.0] transaction
> >>    [installed  ]  [      0.0.0] camel-activemq
> >>    [installed  ]  [      0.0.0] web
> >>    [uninstalled]  [               1.0] reportincident
> >>    [uninstalled]  [      0.0.0] camel-mail
> >>    [installed  ]  [      0.0.0] cxf-osgi
> >>    [uninstalled]  [      0.0.0] spring-web
> >>    [installed  ]  [      0.0.0] camel-spring
> >>    [installed  ]  [   2.0-M1] camel
> >>    [installed  ]  [      0.0.0] camel-core
> >>    [installed  ]  [      0.0.0] camel-bindy
> >>    [installed  ]  [      5.2.0] activemq
> >>    [installed  ]  [      0.0.0] connector
> >>    [installed  ]  [      0.0.0] camel-osgi
> >>    [installed  ]  [      0.0.0] wicket
> >>    [uninstalled]  [      0.0.0] jdbc-driver
> >>    [installed  ]  [      0.0.0] camel-jms
> >>    [installed  ]  [      0.0.0] camel-cxf
> >>
> >> I tried to use features installed command "install hibernate". It gave
> me
> >> error:
> >>
> >>
> >> smx@root:features> install hibernate
> >> ERROR CommandLineExecutionFailed:
> >> org.apache.geronimo.gshell.command.CommandException:
> >> java.lang.RuntimeException: URL
> [mvn:org.antlr/com.springsource.antlr/2.7
> >> .7] could not be resolved. (enable TRACE logging for details)
> >>
> >>
> >> I'm using windows. Charles, what's your dev environment?
> >>
> >> Thanks a lot,
> >> Kevin
> >>
> >>
> >> cmoulliard wrote:
> >> >
> >> > Hi Kevin,
> >> >
> >> > Can you check if you can install manually dom4j jar :
> >> >
> >> > Here is the command to be used in osgi
> >> >
> >> > install - s
> >> >
> >>
> mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.dom4j/1.6_2-SNAPSHOT
> >> >
> >> > If this command does not work, check in the following file
> >> > etc/org.ops4j.pax.url.mvn.cfg  that you point to your settings.xml
> file
> >> > configured for your local maven repository :
> >> >
> >> > org.ops4j.pax.url.mvn.settings=C:/Documents and
> >> > Settings/chzhang/.m2/settings.xml
> >> >
> >> > next try to reinstall or use features command
> >> >
> >> > Regards,
> >> >
> >> > Charles Moulliard
> >> > Senior Enterprise Architect
> >> > Apache Camel Committer
> >> >
> >> > *****************************
> >> > blog : http://cmoulliard.blogspot.com
> >> >
> >> >
> >>
> >> --
> >> View this message in context:
> >>
> http://www.nabble.com/Have-anybody-here-tried-the-tutorial-osgi-camel-part2--tp24327596p24393218.html
> >> Sent from the Camel - Users mailing list archive at Nabble.com.
> >>
> >>
> >
> >
> > -----
> > Charles Moulliard
> > SOA Architect
> >
> > My Blog : http://cmoulliard.blogspot.com/
> >
>
> --
> View this message in context:
> http://www.nabble.com/Have-anybody-here-tried-the-tutorial-osgi-camel-part2--tp24327596p24405219.html
> Sent from the Camel - Users mailing list archive at Nabble.com.
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message